Package ghidra.app.util.bin.format.macho.commands

# Class RoutinesCommand

java.lang.Object
ghidra.app.util.bin.format.macho.commands.LoadCommand
ghidra.app.util.bin.format.macho.commands.RoutinesCommand

All Implemented Interfaces:
  `StructConverter`

public class RoutinesCommand extends LoadCommand
Represents a routines_command and routines_command_64 structure

- ## Field Summary

  ### Fields inherited from interface ghidra.app.util.bin.StructConverter

  `ASCII, BYTE, DWORD, IBO32, IBO64, POINTER, QWORD, SLEB128, STRING, ULEB128, UTF16, UTF8, VOID, WORD`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCommandName()`
  Gets the name of this load command
  `long`
  `getInitializationRoutineAddress()`
  Address of initialization routine.
  `long`
  `getInitializationRoutineModuleIndex()`
  Index into the module table that the init routine is defined in.
  `long`
  `getReserved1()`
  `long`
  `getReserved2()`
  `long`
  `getReserved3()`
  `long`
  `getReserved4()`
  `long`
  `getReserved5()`
  `long`
  `getReserved6()`
  `DataType`
  `toDataType()`
  Returns a structure datatype representing the contents of the implementor of this interface.

  ### Methods inherited from class ghidra.app.util.bin.format.macho.commands.LoadCommand

  `createFragment, createPlateComment, fileOffsetToAddress, getCommandSize, getCommandType, getContextualName, getLinkerDataOffset, getLinkerDataSize, getStartIndex, markup, markupPlateComment, markupRawBinary, setEndian, updateMonitor`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getInitializationRoutineAddress

    public long getInitializationRoutineAddress()
    Address of initialization routine.
    Returns:
      address of initialization routine

  - ### getInitializationRoutineModuleIndex

    public long getInitializationRoutineModuleIndex()
    Index into the module table that the init routine is defined in.
    Returns:
      index into the module table that the init routine is defined in

  - ### getReserved1

    public long getReserved1()

  - ### getReserved2

    public long getReserved2()

  - ### getReserved3

    public long getReserved3()

  - ### getReserved4

    public long getReserved4()

  - ### getReserved5

    public long getReserved5()

  - ### getReserved6

    public long getReserved6()

  - ### toDataType

    public DataType toDataType() throws DuplicateNameException, IOException
    Description copied from interface: `StructConverter`
    Returns a structure datatype representing the contents of the implementor of this interface.

    For example, given:

         class A {
             int foo;
             double bar;
         }

    The return value should be a structure data type with two data type components; an INT and a DOUBLE. The structure should contain field names and, if possible, field comments.

    Returns:
      returns a structure datatype representing the implementor of this interface
    Throws:
      `DuplicateNameException` - when a datatype of the same name already exists
      `IOException`
    See Also:
      - `StructureDataType`

  - ### getCommandName

    public String getCommandName()
    Description copied from class: `LoadCommand`
    Gets the name of this load command
    Specified by:
      `getCommandName` in class `LoadCommand`
    Returns:
      The name of this load command